@import url('https://fonts.googleapis.com/css2?family=Belgrano&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400;500;600;700&display=swap');
@import url('https://fonts.cdnfonts.com/css/proxima-nova-2');

:root {
  /* Primary Colors */
  --primary-color: #000000;


  /* Text Colors */
  --heading-color: #152238;
  --paragraph-color: #494949;
  --white-color: #ffffff;

  /* Button Colors */
  --button-primary: #D9FFF3;
  --button-secondary: #0F172A;
  --primary-gradient: linear-gradient(
135deg,
#CB7D64,
#F4A98D
);

  /* Hover Colors */
  /*--button-primary-hover: #d6fdfd;*/
  /*--button-secondary-hover: #D9FFF3;*/

  /* Background Colors */
  --bg-light: #ffffff;
  --bg-dark: #152238;
  --bg-transparen: #000000a1;
  

  /* Border */
  --border-color: #e5e5e5;

  /* Font Family */
  --body-font: 'Inter', sans-serif;
  /*--heading-font: "Belgrano", sans-serif;*/
  /*--heading-font: 'Open Sans', sans-serif;*/
  --heading-font: 'Proxima Nova', sans-serif;
  --mayfields-font: 'Cinzel', serif;
  
}

/* Global Body Style */
body {
  font-family: var(--body-font);
  color: var(--paragraph-color);
  background: var(--bg-light);
  line-height: 1.6;
  font-size: 16px;
  font-weight: 400;
  margin: 0;
  padding: 0;
}


/* Headings */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--heading-font);
  color: var(--heading-color);
  font-weight: 600;
  line-height: 1.2;
  margin-bottom: 15px;
}

/* Paragraph */
p {
  color: var(--paragraph-color);
  margin-bottom: 15px;
}
.text-warning {
    color: #CB7D64 !important;
}
.text-footer {
    color: #CB7D64 !important;
}
.bg-warning{
  background-color: #CB7D64 !important;
}
.bg-line{
  background-color: #CB7D64 !important;
}
.d-block     { display: block !important; }
/* Links */
a {
  text-decoration: none;
  transition: all 0.3s ease;
}

.section-padding{
    padding: 80px 0;
}

.mayfields-font {
  font-family: var(--mayfields-font);
  font-size: clamp(32px, 5vw, 78px);
}
.headibg-bg {
    background: var(--bg-transparen);
    border-radius: 30px 30px 0px 0px;
}
.form-bg {
    border-radius: 0px 0px 30px 30px;
    background-color: #404040d1;
}
.input-radius {
    border-radius: 30px;
}

/* Buttons */
.btn-primary-custom {
  background: var(--primary-gradient);
  color: var(--white-color);
  border: none;
  padding: 12px 28px;
  transition: 0.3s;
}

/*.btn-primary-custom:hover {*/
/*  background: var(--button-primary-hover);*/
/*}*/

.btn-secondary-custom {
  background: var(--button-secondary);
  color: var(--white-color);
  border: none;
  padding: 12px 28px;
  transition: 0.3s;
}

/*.btn-secondary-custom:hover {*/
/*  background: var(--button-secondary-hover);*/
/*}*/

/* Header Smooth Animation */
.transition-header{
    transition: transform 0.4s ease;
}

/* Header Hide */
.header-hide{
    transform: translateY(-100%);
}

/* Header Height */
#mainHeader {
    height: 90px;
    display: flex;
    align-items: center;
}

html.lenis,
html.lenis body {
  height: auto;
  overflow: hidden !important;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

section{
    scroll-margin-top:90px;
}
/* =========================
   HEADER CSS
========================= */

.main-header{
    width:100%;
    position:fixed;
    top:0;
    left:0;
    z-index:9999;
    padding:18px 0;
    transition:0.4s ease;
    background:#fff;
}

/* SCROLL HEADER */
.main-header.scrolled{
    background:#ffffff;
    box-shadow:0 5px 25px rgba(0,0,0,0.08);
    padding:12px 0;
}

/* MENU */
.main-header .nav-link{
    font-size:15px;
    letter-spacing:0.5px;
    transition:0.3s;
}

.main-header .nav-link:hover{
    color:#c59d5f !important;
}

/* BUTTON */
.btn-primary-custom{
    background:#c59d5f;
    color:#fff;
    padding:12px 24px;
    border:none;
}

.btn-primary-custom:hover{
    background:#000;
    color:#fff;
}

/* IMPORTANT
   HEADER SPACE
*/
body{
    padding-top:95px;
}
    /* about heading css*/

.about-heading span{
    display: block;
   
    font-weight: 300;
    color: #CB7D64;
    letter-spacing: 1px;
}
/*about headig end*/
    
/* =========================
   PARALLAX VIDEO SECTION
========================= */

.parallax-video{
    position: relative;
    min-height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    padding: 120px 0 140px;
}

/* Background Video */
.bg-video{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -2;
}

/* Overlay */
.overlay{
    position: absolute;
    inset: 0;
    z-index: -1;
    background: linear-gradient(to bottom, rgb(0 0 0 / 55%) 0%, rgb(0 0 0 / 75%) 60%, rgba(0, 0, 0, 0.7) 100%);
}

/* =========================
   CONTENT
========================= */
.parallax-video h1{
    line-height: 1.1;
}

/* =========================
   FORM SECTION
========================= */
.right-side-form{
    padding-left: 120px;
}

.headibg-bg{
    background: rgba(0,0,0,0.45);
    backdrop-filter: blur(8px);
}

.form-bg{
    background: rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
}

.input-radius{
    border-radius: 10px;
    min-height: 52px;
}

/* =========================
   BOTTOM INFO STRIP
========================= */
.bottom-info{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;

    background: linear-gradient(
        to bottom,
        rgba(0,0,0,0.7) 0%,
        rgba(0,0,0,1) 100%
    );

    z-index: 2;
}

.bottom-info .info-text{
    font-size: 13px;
    letter-spacing: 1px;
}

.border-end{
    border-right: 1px solid rgba(255,255,255,0.3) !important;
    height: 40px;
    width: 1px;
    margin: auto;
}


/* SECTION */
.clubhouse-section{
    height: 90vh;
    position: relative;
    background: #000;
    max-height: 100%;
}

/* SLIDER */
.clubhouse-slider{
    width:100%;
    height:100%;
    position:relative;
}

.club-slide{
    position:absolute;
    inset:0;
    background-size:cover;
    background-position:center;
    opacity:0;
    visibility:hidden;
    transition:1s ease-in-out;
    transform:scale(1.08);
}

.club-slide.active{
    opacity:1;
    visibility:visible;
    transform:scale(1);
}

/* OVERLAY */
.club-overlay{
    position:absolute;
    inset:0;
    background: linear-gradient(to top, rgb(0 0 0 / 0%), rgb(0 0 0 / 0%), rgb(0 0 0 / 0%));
    z-index:1;
}

/* ICONS AREA */
.club-icons-wrapper{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:35px 30px;
    gap:15px;
    position:relative;
    z-index:5;
    backdrop-filter: blur(2px);

}

/* SINGLE ITEM */
.club-item{
    flex:1;
    text-align:center;
    cursor:pointer;
    position:relative;
    transition:.4s;
}

/* LINE */
.club-item::after{
    content:"";
    position:absolute;
    right:-8px;
    top:50%;
    transform:translateY(-50%);
    width:1px;
    height:45px;
    background:rgba(255,255,255,0.35);
}

.club-item:last-child::after{
    display:none;
}

/* ICON */
.club-item i{
    font-size:20px;
    color:#cfcfcf;
    margin-bottom:14px;
    transition:.4s;
    display:block;
}

/* TEXT */
.club-item span{
    display:block;
    color:#e5e5e5;
    font-size:16px;
    font-weight:300;
    line-height:1.4;
    transition:.4s;
}

/* ACTIVE */
.club-item.active i,
.club-item:hover i{
    color:#ffffff;
    transform:translateY(-4px);
}

.club-item.active span,
.club-item:hover span{
    color:#ffffff;
}

  
  .custom-tab{
  border:none !important;
  background:transparent !important;
  color:#111 !important;
  font-size:16px;
  font-weight:400;
  padding:0 18px 10px;
  position:relative;
  transition:0.4s;
}

.custom-tab::after{
  content:"";
  position:absolute;
  left:0;
  bottom:0;
  width:0%;
  height:1px;
  background:#000;
  transition:0.4s;
}

.custom-tab.active::after{
  width:100%;
}

.layout-title{
  font-size:52px;
  font-weight:300;
  margin:0;
}

.smooth-tab{
  animation:fadeMove .5s ease;
}

/* Unit Tabs */
.unit-tab-btn{
    background:#fff !important;
    border:1px solid #ddd !important;
    color:#000 !important;
    border-radius:0 !important;
    padding:10px 22px;
    font-size:14px;
    transition:.3s;
}

.unit-tab-btn.active{
    background:#bfd7d5 !important;
    border-color:#bfd7d5 !important;
    color:#000 !important;
}

/* Tabs */



.gallery-tabs{
  text-align:center;
  margin-bottom:20px;
}

.gallery-tabs button{
  background:none;
  border:none;
  color:#fff;
  font-size:18px;
  margin:0 15px;
  position:relative;
}

.gallery-tabs button.active::after{
  content:"";
  position:absolute;
  left:0;
  bottom:-5px;
  width:100%;
  height:2px;
  background:#fff;
}


/* gallery */
.gallery-wrapper{
  max-height:550px;
  height:550px;
  overflow:hidden;
}

.big-img{
  height:550px;
  width:100%;
  object-fit:cover;
  border-radius:10px;
  cursor:pointer;
}

.small-img{
  height:270px;
  width:100%;
  object-fit:cover;
  border-radius:10px;
  cursor:pointer;
}


/* arrows */
.arrows{
  text-align:center;
  margin-top:20px;
}

.arrow-btn{
  background:#fff;
  border:none;
  width:45px;
  height:45px;
  border-radius:50%;
  margin:0 5px;
  font-size:20px;
}


/* popup */
.popup-full-img{
  height:90vh;
  object-fit:contain;
  background:#000;
}

.popup-arrow{
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  width:55px;
  height:55px;
  border:none;
  border-radius:50%;
  background:rgba(255,255,255,0.15);
  color:#fff;
  font-size:28px;
  backdrop-filter:blur(10px);
}

.left-arrow{
  left:20px;
}

.right-arrow{
  right:20px;
}

/* Left Image */
.eco-img{
  width:100%;
  object-fit: contain;
  border-radius:4px;
}

/* Feature List */
.feature-item{
  display:flex;
  align-items:center;
  gap:20px;
  padding:18px 0;
  border-bottom:1px solid #e5e5e5;
}

.feature-icon{
  font-size:26px;
  color:#CB7D64;
  width:40px;
  text-align:center;
}

.feature-text{
  font-size:18px;
  color:#222;
}

.built {
    padding: 0px 140px;
}

.Form-shadow {
    padding: 50px 40px 20px 40px;
    border-radius: 30px;
}

.mobile-tab {
    display: none !important;
}

@keyframes fadeMove{
  from{
    opacity:0;
    transform:translateY(20px);
  }
  to{
    opacity:1;
    transform:translateY(0);
  }
}

/* =========================
   LARGE SCREEN
========================= */
@media (max-width: 1440px){

    .right-side-form{
        padding-left: 80px;
    }

    .parallax-video{
        padding-top: 100px;
    }
}

/* =========================
   LAPTOP
========================= */
@media (max-width: 1280px){

    .right-side-form{
        padding-left: 40px;
    }

}





/* Mobile Fix */


@media (max-width: 991px) {
    body {
        padding-top: 75px;
    }
    
     .mobile-video {
         display: block !important;
    }
    .desktop-video {
       display: none !important;
    }
    
     .parallax-video{
        height: auto;
        min-height: auto;
        padding: 100px 0 0;
    }

    .bg-video{
        position: absolute;
    }

    .right-side-form{
        padding-left: 10px;
        margin-top: 40px;
        padding-bottom: 80px;
    }

    .parallax-video .text-start{
        text-align: center !important;
    }

    .parallax-video p{
        max-width: 100%;
    }

    .bottom-info{
        position: relative;
        margin-top: 50px;
        display: none;
    }

    .bottom-info .col-md-2,
    .bottom-info .col-md-3,
    .bottom-info .col-md-1{
        margin-bottom: 20px;
    }

    
    #mainHeader {
        height: 75px;
    }
    
     .clubhouse-section{
        height:80vh;
    }

    .club-icons-wrapper{
        overflow-x:auto;
        white-space:nowrap;
        justify-content:flex-start;
        padding:25px 15px;
    }

    .club-item{
        min-width:160px;
    }

    .club-item span{
        font-size:16px;
    }

    .club-item i{
        font-size:28px;
    }
    .built {
    padding: 0px 0px;
}
    
   
}

@media (max-width: 884px) {
    .mobile-tab {
        display: block !important;
    }
}

/* Mobile Fix */
@media(max-width:768px){

    .form-bg{
        padding: 20px !important;
    }

    .bottom-info .row{
        row-gap: 18px;
    }

     .phase-2 .position-absolute{
    background-attachment:scroll !important;
  }
  
   .gallery-wrapper{
    height:auto;
    max-height:none;
  }

  .big-img{
    height:300px;
  }

  .small-img{
    height:180px;
  }

  .popup-full-img{
    height:70vh;
  }
  .mobile-tab {
    display: block !important;
    }
    
    .mobile-menu {
        width: 98%;
    }
}

@media (max-width: 480px){


    .btn-primary-custom{
        width: 100%;
    }

    .input-radius{
        min-height: 48px;
    }

    .headibg-bg,
    .form-bg{
        padding: 18px !important;
    }
    .Form-shadow .phone {
        margin-top: 30px  !important;
    }
}
